"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = __importDefault(require("."));
const fs_1 = __importDefault(require("fs"));
function download() {
    return __awaiter(this, void 0, void 0, function* () {
        const url = yield _1.default.getLatestDownloadURL();
        console.log(url);
        const server = new _1.default('./test-server');
        yield server.initServerFolder(url);
        const proc = server.start();
        proc.stdout.pipe(process.stdout);
        proc.stderr.pipe(process.stderr);
        process.openStdin().pipe(proc.stdin);
    });
}
function read() {
    return __awaiter(this, void 0, void 0, function* () {
        const fdata = yield fs_1.default.promises.readFile('./bedrock-server-1.19.1.01.zip');
        const server = new _1.default('./test-server');
        server.initServerFolder(fdata);
        const proc = server.start();
        proc.stdout.pipe(process.stdout);
        proc.stderr.pipe(process.stderr);
        process.openStdin().pipe(proc.stdin);
    });
}
read();
download;
//# sourceMappingURL=test.js.map